Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Class Methods | Properties | List of all members
CSSignalingServer Class Reference

Represents a call server to communicate with. More...

`#import <CSSignalingServer.h>`

Inherits NSObject.

## Class Methods
(instancetype) | + serverWithHostname:failbackPolicy:
(instancetype) | + serverWithTransportType:hostName:port:failbackPolicy:preloadedRoutes:isPermanentMemberOfRegistrationGroup:
(instancetype) | + serverWithHostName:transportTypeToPortMap:failbackPolicy:preloadedRoutes:isPermanentMemberOfRegistrationGroup:
(instancetype) | + serverWithTransportType:hostName:port:failbackPolicy:isPermanentMemberOfRegistrationGroup:
(instancetype) | + serverWithTransportType:hostName:port:failbackPolicy:

## Properties
NSString * | hostName
| The server's host name. More...
CSFailbackPolicy | failbackPolicy
| The failback policy for this server. More...
NSDictionary * | transportTypeToPortMap
| A dictionary of transport type to port number. More...
NSArray * | preloadedRoutes
| Array of NSStrings containing URIs specifying routing information for SIP requests sent to this server. More...
BOOL | permanentMemberOfRegistrationGroup
| A Boolean value indicating whether this server is a permanent member of any registration group it is a part of. More...

## Detailed Description

Represents a call server to communicate with.

## Method Documentation

+ (instancetype) serverWithHostname: |  | (NSString *) | hostName
failbackPolicy: |  | (CSFailbackPolicy) | policy

+ (instancetype) serverWithHostName: |  | (NSString *) | hostName
transportTypeToPortMap: |  | (NSDictionary *) | transportTypeToPortMap
failbackPolicy: |  | (CSFailbackPolicy) | policy
preloadedRoutes: |  | (NSArray *) | preloadedRoutes
isPermanentMemberOfRegistrationGroup: |  | (BOOL) | isPermanentMemberOfRegistrationGroup

+ (instancetype) serverWithTransportType: |  | (CSTransportType) | transportType
hostName: |  | (NSString *) | hostName
port: |  | (NSUInteger) | port
failbackPolicy: |  | (CSFailbackPolicy) | policy

+ (instancetype) serverWithTransportType: |  | (CSTransportType) | transportType
hostName: |  | (NSString *) | hostName
port: |  | (NSUInteger) | port
failbackPolicy: |  | (CSFailbackPolicy) | policy
isPermanentMemberOfRegistrationGroup: |  | (BOOL) | isPermanentMemberOfRegistrationGroup

+ (instancetype) serverWithTransportType: |  | (CSTransportType) | transportType
hostName: |  | (NSString *) | hostName
port: |  | (NSUInteger) | port
failbackPolicy: |  | (CSFailbackPolicy) | policy
preloadedRoutes: |  | (NSArray *) | preloadedRoutes
isPermanentMemberOfRegistrationGroup: |  | (BOOL) | isPermanentMemberOfRegistrationGroup

## Property Documentation

- (CSFailbackPolicy) failbackPolicy
| read nonatomic assign

The failback policy for this server.

See also
  CSFailbackPolicy

- (NSString*) hostName
| read nonatomic copy

The server's host name.

This may by a fully qualified domain name or an IP address.

- (BOOL) permanentMemberOfRegistrationGroup
| read nonatomic assign

A Boolean value indicating whether this server is a permanent member of any registration group it is a part of.

The permanent flag instructs the signaling engine to attempt to maintain a registration with this server regardless of conditions that would otherwise cause registration with this server to be deferred until connections with higher priority servers were lost.

- (NSArray*) preloadedRoutes
| read nonatomic copy

Array of NSStrings containing URIs specifying routing information for SIP requests sent to this server.

- (NSDictionary*) transportTypeToPortMap
| read nonatomic copy

A dictionary of transport type to port number.

The documentation for this class was generated from the following file:

- CSSignalingServer.h